/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import org.zkoss.zul.Checkbox;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.UsuarioSesion;

/**
 * 
 * @author RJ Consultores
 */
public class RenderUsuarioSesion implements ListitemRenderer {

	public void render(Listitem lstm, Object o) throws Exception {
        UsuarioSesion usuarioSesion = (UsuarioSesion) o;

        Listcell lc = new Listcell(usuarioSesion.getUsuario().getClaveUsuario());
        lc.setParent(lstm);

        lc = new Listcell(usuarioSesion.getUsuario().getNombusuario());
        lc.setParent(lstm);

        lc = new Listcell(usuarioSesion.getUsuario().getNombpaterno());
        lc.setParent(lstm);

        lc = new Listcell(usuarioSesion.getUsuario().getNombmaterno());
        lc.setParent(lstm);

        lc = new Listcell(usuarioSesion.getEmpresa() == null ? "" : usuarioSesion.getEmpresa().getNombempresa() );
    	lc.setParent(lstm);
    	
    	lc = new Listcell();
    	
    	Checkbox chkFirmado = new Checkbox();
    	chkFirmado.setDisabled(Boolean.TRUE);
    	
		if (usuarioSesion.getIndFirmado()) {
			chkFirmado.setChecked(Boolean.TRUE);
		}
		lc.appendChild(chkFirmado);

    	lc.setParent(lstm);

        lstm.setAttribute("data", usuarioSesion);
    }
}
